Bug 244261 - doesn't set 'Class of device' from hal
Summary: doesn't set 'Class of device' from hal
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: bluez-gnome (Show other bugs)
(Show other bugs)
Version: 7
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact:
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-14 19:08 UTC by Bill Nottingham
Modified: 2014-03-17 03:07 UTC (History)
2 users (show)

Fixed In Version: 0.8-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-20 14:42:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bill Nottingham 2007-06-14 19:08:41 UTC
Description of problem:

[notting@nostromo: ~]$ lshal | grep formfactor
  system.formfactor = 'laptop'  (string)

Yet 'Class of device' in the notification icon is set to 'Desktop workstation'.

Version-Release number of selected component (if applicable):

bluez-gnome-0.6-2.fc7

Comment 1 Bastien Nocera 2007-06-14 19:11:03 UTC
That was fixed in 0.7:

ver 0.7:
<snip>
        Use HAL for initial class of device setup.

Will do an update.

Comment 2 Bastien Nocera 2007-06-15 10:17:40 UTC
0.8 is in updates-testing for F7, and in rawhide, please test.

Comment 3 Bill Nottingham 2007-06-15 12:58:19 UTC
Still happens in 0.8; the device class as seen in the prefs says 'Desktop
workstation'.

Comment 4 Fedora Update System 2007-06-16 13:22:20 UTC
bluez-gnome-0.8-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Bastien Nocera 2007-07-03 20:17:57 UTC
(In reply to comment #3)
> Still happens in 0.8; the device class as seen in the prefs says 'Desktop
> workstation'.

The pref should actually be unsensitive. It doesn't actually show the "current"
class. See the output of "hciconfig hci0 class" to see which is the "set" one.
And if it's wrong, double-check the output of "lshal | grep formfactor".

Comment 6 Bill Nottingham 2007-07-03 20:28:14 UTC
[notting@nostromo: ~]$ hciconfig hci0 class
hci0:   Type: USB
        BD Address: 00:19:7E:F2:AC:BD ACL MTU: 1017:8 SCO MTU: 64:8
        Class: 0x120104
        Service Classes: Networking, Object Transfer
        Device Class: Computer, Desktop workstation
[notting@nostromo: ~]$ lshal | grep formfactor
  system.formfactor = 'laptop'  (string)
[notting@nostromo: ~]$ rpm -q bluez-gnome
bluez-gnome-0.8-1.fc8


Comment 7 Fedora Update System 2007-07-05 19:19:44 UTC
bluez-gnome-0.8-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Bastien Nocera 2007-07-05 19:51:01 UTC
Not fixed, as discussed. At least it's up-to-date.

Comment 9 Bastien Nocera 2007-09-20 14:26:09 UTC
Please test with 0.14-5.

http://koji.fedoraproject.org/koji/taskinfo?taskID=167453

Comment 10 Bill Nottingham 2007-09-20 14:42:48 UTC
Claims to be a laptop computer now. Seems right.


Note You need to log in before you can comment on or make changes to this bug.